%define name minicom
%define version 1.82.1
%define release 2mdk

Summary: A text-based modem control and terminal emulation program.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Communications
Source: ftp://sunsite.unc.edu/pub/Linux/apps/serialcomm/dialout/%{name}-%{PACKAGE_VERSION}.src.tar.bz2
Source1: minicom.wmconfig
Patch0: minicom-1.81-config.patch.bz2
Patch1: minicom-1.82-make.patch.bz2
Patch2: minicom-1.82-install.patch.bz2
Buildroot: /var/tmp/%{name}-root


%description
Minicom is a simple text-based modem control and terminal emulation
program somewhat similar to MSDOS Telix.  Minicom includes a dialing
directory, full ANSI and VT100 emulation, an (external) scripting language,
and other features.

Minicom should be installed  if you need a simple modem control program
or terminal emulator.

%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .make
%patch2 -p1 -b .install

%build
uname -a|grep SMP && make -j 2 -C src || make -C src

%install
rm -rf $RPM_BUILD_ROOT
make -C src install R=$RPM_BUILD_ROOT
uname -a|grep SMP && make -j 2 -C src install R=$RPM_BUILD_ROOT || \
	make -C src install R=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/bin/* ||:
echo "FIX ME !!!!!!!!!" >&2
install -d $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 $RPM_SOURCE_DIR/minicom.wmconfig \
	$RPM_BUILD_ROOT/etc/X11/wmconfig/minicom


find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc demos doc tables
%config /etc/minicom.users
%attr(2755,root,uucp) /usr/bin/minicom
/usr/bin/runscript
/usr/bin/xminicom
/usr/bin/ascii-xfr
/usr/man/*/*
%config /etc/X11/wmconfig/minicom


%changelog
* Mon Mar 27 2000 Daouda Lo <daouda@mandrakesoft.com> 1.82.1-2mdk
- fix group

* Fri Nov 12 1999 Camille Bgnis <camille@mandrakesoft.com>
- restore setgid uucp to permit minicom to lock in /var/lock
- add test for compilation on SMP architectures
- add patch to install.sh to allow installation by non-root users
- modif install section to allow installation by non-root users
- update to 1.82.1

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Tue Jan 24 1999 Michael Maher <mike@redhat.com>
- fixed bug, changed groups.

* Thu Oct 01 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.82 to include i18n fixes

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- Built package for 5.2.

* Sun May 10 1998 Cristian Gafton <gafton@redhat.com>
- security fixes (alan cox, but he forgot about the changelog)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu May 07 1998 Cristian Gafton <gafton@redhat.com>
- BuildRoot; updated .make patch to cope with the buildroot
- fixed the spec file

* Tue May 06 1998 Michael Maher <mike@redhat.com>
- update of package (1.81)

* Wed Oct 29 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig entries

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed source url

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
